Soundweb Designer v1.50 Build68 (Windows 7)

Any design files created in version 1.0 onwards, should be compatible with version 1.50. However, as with all upgrades of software, it is strongly recommended that you make back-up copies of all design files prior to opening them in the new version.

If you just need the latest embedded firmware versions, you can download these here .

Soundweb Designer requires Windows 7, 95, 98 or Windows NT. Windows 2000 users are strongly recommended to install Service Pack 1 as a minimum.

Installing Soundweb Designer will not update your system registry, or add any DLL files to your system directory. Only a soundweb.ini file will be added to your Windows directory.

Soundweb Designer 1.40 and above enables support for the SW3088 Soundweb Lite unit.


Related Products